Update inventory location for fulfillment order
Requires write_assigned_fulfillment_orders access scope.
For more info, refer to:
POST https://{handle}.myshopline.com/admin/openapi/v20261201/fulfillment_orders/:order_id/:fulfillment_order_id/move.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Path Parameters
- fulfillment_order_id string requiredPerformance order idExample:
"4005740193290131085320" - order_id string requiredOrder idExample:
"21057401932826316666967110"
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
fulfillment_orderobject required
In-blendnew_location_id string requiredNew location idExample:"134429880"
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
moved_fulfillment_orderobject
New item appointment detailsshop_id stringstore IDExample:"1644828244663"id stringPerformance order idExample:"4005740193290131085320"status stringMap order status , including : open , in_progress , cmos ed , cancelled , incomplete , on_hold , scheduledExample:"open"order_id stringOrder idExample:"21057401932826316666967110"request_status stringRequest status, including: accepted, cancellation_accepted, cancellation_rejected, cancellation_Requested, closed, rejected, submitted, unsubmittedExample:"submitted"assigned_location_id stringAssigned location idExample:"5327026538935748524"line_itemsobject[]
Product line informationquantity longOrder Product line Product quantityExample:1shop_id stringstore IDExample:"1644828244663"variant_id stringProduct skuExample:"18055128824718541486811487"fulfillable_quantity longAvailable in approximately Product quantitiesExample:1fulfillment_order_id stringPerformance order idExample:"4005740193290131085320"id stringPerformance order Product line idExample:"1039283"line_item_id stringProduct row idExample:"518995019"supported_actions arrayOperation supported by the appointment order includes : create_fulfillment -- created delivery , move -- moved to a new location , hold -- suspended delivery , release_hold -- ( after pause ) started deliveryExample:["[\"create_fulfillment\"]"]assigned_locationobject
Location details assignedprovince stringLocal provinceExample:"Kentucky"zip stringLocation zip codeExample:"40202"address1 stringAddress 1Example:"Chestnut Street 92"address2 stringAddress 2Example:"Chestnut Street 92"city stringCityExample:"Louisville"name stringLocation nameExample:"Apple Api Shipwire"phone stringLocation phone numberExample:"+1(502)-459-3417"country_code stringCountry codeExample:"USlocation_id stringLocation idExample:"5327026538935748524"destinationobject
Consignee informationcity stringConsignee cityExample:"Louisville"address2 stringConsignee address 2Example:"Chestnut Street 92"phone stringConsignee phone numberExample:"+1(502)-459-2181"last_name stringConsignee last nameExample:"Norman"address1 stringConsignee address 1Example:"Chestnut Street 92"company stringConsignee companyExample:"Apple inc"province stringConsignee provinceExample:"Kentucky"zip stringConsignee address zipExample:"40202"country stringConsignee countryExample:"United States"first_name stringConsignee nameExample:"Bob"email stringConsignee mailboxExample:"bob.norman@mail.example.com"original_fulfillment_orderobject
Original order detailsorder_id stringOrder idExample:"21057401932826316666967110"shop_id stringstore IDExample:"1644828244663"line_itemsobject[]
Product line informationid stringPerformance order Product line idExample:"1039283"line_item_id stringProduct row idExample:"518995019"quantity longOrder Product line Product quantityExample:1shop_id stringstore IDExample:"1644828244663"variant_id stringProduct skuExample:"18055128824718541486811487"fulfillable_quantity longAvailable in approximately Product quantitiesExample:1fulfillment_order_id stringPerformance order idExample:"4005740193290131085320"assigned_location_id stringAssigned location idExample:"5327026538935748524"id stringPerformance order idExample:"4005740193290131085320"status stringMap order status , including : open , in_progress , cmos ed , cancelled , incomplete , on_hold , scheduledExample:"open"supported_actions arrayOperation supported by the appointment order includes : create_fulfillment -- created delivery , move -- moved to a new location , hold -- suspended delivery , release_hold -- ( after pause ) started deliveryExample:["[\"create_fulfillment\"]"]request_status stringRequest status, including: accepted, cancellation_accepted, cancellation_rejected, cancellation_Requested, closed, rejected, submitted, unsubmittedExample:"submitted"assigned_locationobject
Location details assignedphone stringLocation phone numberExample:"+1(502)-459-3417"location_id stringLocation idExample:"5327026538935748524"address1 stringAddress 1Example:"Chestnut Street 92"address2 stringAddress 2Example:"Chestnut Street 92"city stringCityExample:"Louisville"country_code stringCountry codeExample:"US"zip stringLocation zip codeExample:"40202"province stringLocal provinceExample:"Kentucky"name stringLocation nameExample:"Apple Api Shipwire"destinationobject
Consignee informationcountry stringConsignee countryExample:"United States"email stringConsignee mailboxExample:"bob.norman@mail.example.com"last_name stringConsignee last nameExample:"Norman"city stringConsignee cityExample:"Louisville"first_name stringConsignee nameExample:"Bob"province stringConsignee provinceExample:"Kentucky"address2 stringConsignee address 2Example:"Chestnut Street 92"zip stringConsignee address zipExample:"40202"address1 stringConsignee address 1Example:"Chestnut Street 92"company stringConsignee companyExample:"Apple inc"phone stringConsignee phone numberExample:"+1(502)-459-2181"
API Explorer
Debugger
Was this article helpful to you?